Changeset 3100 for ThirdParty/FilterSQP


Ignore:
Timestamp:
Nov 21, 2013 2:55:53 PM (6 years ago)
Author:
stefan
Message:

conditional addition of dependent libraries into project libs via LIBADD

Location:
ThirdParty/FilterSQP/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/FilterSQP/trunk/Makefile.in

    r2882 r3100  
    143143DEFS = @DEFS@
    144144DEPDIR = @DEPDIR@
     145DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     146DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    145147ECHO = @ECHO@
    146148ECHO_C = @ECHO_C@
  • ThirdParty/FilterSQP/trunk/configure

    r2985 r3100  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion FILTERSQP_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 FLIBS FILTERSQP_PCLIBS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion FILTERSQP_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 FLIBS FILTERSQP_PCLIBS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10791079  --enable-debug-filtersqp
    10801080                          compile project FilterSQP with debug compiler flags
    1081   --enable-doscompile     Under Cygwin, compile so that executables run under
    1082                           DOS. Set to mingw to use gcc/g++/ld with
    1083                           -mno-cygwin. Set to msvc to use cl/link (or
    1084                           icl/link). Default when mentioned: mingw. Default
    1085                           when not mentioned: disabled.
     1081
     1082  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10861083  --disable-pkg-config    disable use of pkg-config (if available)
    10871084  --disable-dependency-tracking  speeds up one-time build
     
    18731870
    18741871# Get the name of the Fortran compiler and appropriate compiler options
    1875 case $build in
     1872
     1873
     1874  # for backward compatibility
     1875  # Check whether --enable-doscompile or --disable-doscompile was given.
     1876if test "${enable_doscompile+set}" = set; then
     1877  enableval="$enable_doscompile"
     1878  enable_doscompile=$enableval
     1879else
     1880  enable_doscompile=no
     1881fi;
     1882
     1883  # Check whether --enable-msvc or --disable-msvc was given.
     1884if test "${enable_msvc+set}" = set; then
     1885  enableval="$enable_msvc"
     1886  enable_msvc=$enableval
     1887else
     1888  enable_msvc=no
     1889     if test "$enable_doscompile" = msvc ; then
     1890       enable_msvc=yes
     1891     elif test "$enable_doscompile" != no ; then
     1892       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1893echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1894   { (exit 1); exit 1; }; }
     1895     fi
     1896
     1897fi;
     1898
     1899  if test "$enable_msvc" = MD; then
     1900    enable_shared=yes
     1901    enable_msvc=yes
     1902  fi
     1903
     1904  if test "$enable_msvc" = yes; then
     1905    case $build in
     1906      *-cygwin* | *-mingw*) ;;
     1907      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1908echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1909   { (exit 1); exit 1; }; } ;;
     1910    esac
     1911  fi
     1912
     1913
     1914 case $build in
    18761915  *-mingw*)
    18771916    if test "${LD+set}" = set; then :; else
     
    18801919    ;;
    18811920 esac
    1882  case $enable_doscompile in
    1883    msvc)
    1884      if test "x${LD+set}" = xset; then :; else
    1885        LD=link
    1886      fi
    1887      ;;
    1888  esac
    1889 
    1890 
    1891  # Check whether --enable-doscompile or --disable-doscompile was given.
    1892 if test "${enable_doscompile+set}" = set; then
    1893   enableval="$enable_doscompile"
    1894   if test "$enable_doscompile" != no; then
    1895      case $build in
    1896        *-cygwin* | *-mingw*) ;;
    1897        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1898 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1899    { (exit 1); exit 1; }; } ;;
    1900      esac
     1921 if test $enable_msvc = yes ; then
     1922   if test "x${LD+set}" = xset; then :; else
     1923     LD=link
    19011924   fi
    1902 else
    1903   enable_doscompile=no
    1904 fi;
    1905  case "$enable_doscompile" in
    1906    mingw)
    1907      case $build in
    1908        *-mingw*) enable_doscompile=no ;;
    1909      esac
    1910      ;;
    1911    msvc|no) ;;
    1912    yes) enable_doscompile=mingw ;;
    1913    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1914                     Try configure --help=recursive." >&5
    1915 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1916                     Try configure --help=recursive." >&2;}
    1917    { (exit 1); exit 1; }; }
    1918       ;;
    1919   esac
    1920   if test "$enable_doscompile" != no ; then
    1921     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1922 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1923   fi
     1925 fi
    19241926
    19251927
     
    19641966case $build in
    19651967  *-cygwin* | *-mingw*)
    1966              if test "$enable_doscompile" = msvc ; then
    1967                comps="icl cl"
     1968             if test "$enable_msvc" = yes ; then
     1969               comps="icl cl gcc"
    19681970             else
    1969                comps="gcc cl"
     1971               comps="gcc icl cl"
    19701972             fi ;;
    19711973  *-*-solaris*)
     
    27652767    fi ;;
    27662768  * )
    2767     CYGPATH_W=echo
     2769    if test x"$CYGPATH_W" = x ; then
     2770      CYGPATH_W=echo
     2771    fi
    27682772    ;;
    27692773esac
     
    28202824            ;;
    28212825        esac
    2822         case $enable_doscompile in
    2823           mingw)
    2824             CFLAGS="-mno-cygwin"
    2825             cat >conftest.$ac_ext <<_ACEOF
    2826 /* confdefs.h.  */
    2827 _ACEOF
    2828 cat confdefs.h >>conftest.$ac_ext
    2829 cat >>conftest.$ac_ext <<_ACEOF
    2830 /* end confdefs.h.  */
    2831 
    2832 int
    2833 main ()
    2834 {
    2835 int i=0; i++;
    2836   ;
    2837   return 0;
    2838 }
    2839 _ACEOF
    2840 rm -f conftest.$ac_objext conftest$ac_exeext
    2841 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2842   (eval $ac_link) 2>conftest.er1
    2843   ac_status=$?
    2844   grep -v '^ *+' conftest.er1 >conftest.err
    2845   rm -f conftest.er1
    2846   cat conftest.err >&5
    2847   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2848   (exit $ac_status); } &&
    2849          { ac_try='test -z "$ac_c_werror_flag"
    2850                          || test ! -s conftest.err'
    2851   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2852   (eval $ac_try) 2>&5
    2853   ac_status=$?
    2854   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2855   (exit $ac_status); }; } &&
    2856          { ac_try='test -s conftest$ac_exeext'
    2857   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2858   (eval $ac_try) 2>&5
    2859   ac_status=$?
    2860   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2861   (exit $ac_status); }; }; then
    2862   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2863 else
    2864   echo "$as_me: failed program was:" >&5
    2865 sed 's/^/| /' conftest.$ac_ext >&5
    2866 
    2867 fi
    2868 rm -f conftest.err conftest.$ac_objext \
    2869       conftest$ac_exeext conftest.$ac_ext
    2870             CFLAGS=
    2871           ;;
    2872         esac
    28732826    esac
    28742827  fi
     
    30713024fi
    30723025
    3073 # If CFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
    3074 
    3075 case "$CFLAGS" in
    3076   *-mno-cygwin*)
    3077     if test x${CPPFLAGS+set} != xset ; then
    3078       CPPFLAGS="-mno-cygwin"
    3079     else
    3080       case "$CPPFLAGS" in
    3081         *-mno-cygwin*)
    3082           ;;
    3083         *)
    3084           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    3085           ;;
    3086       esac
    3087     fi ;;
    3088 esac
    3089 
    30903026# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
    30913027if test x$COIN_PRJCT != x; then
     
    32113147  clang* ) ;;
    32123148  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3213     case $build in
     3149
     3150 case $build in
    32143151  *-mingw*)
    32153152    if test "${LD+set}" = set; then :; else
     
    32183155    ;;
    32193156 esac
    3220  case $enable_doscompile in
    3221    msvc)
    3222      if test "x${LD+set}" = xset; then :; else
    3223        LD=link
    3224      fi
    3225      ;;
    3226  esac
     3157 if test $enable_msvc = yes ; then
     3158   if test "x${LD+set}" = xset; then :; else
     3159     LD=link
     3160   fi
     3161 fi
    32273162
    32283163    ;;
     
    32383173case $build in
    32393174  *-cygwin* | *-mingw*)
    3240      if test "$enable_doscompile" = msvc ; then
    3241        coin_f77_comps="ifort fl32 compile_f2c"
     3175     if test "$enable_msvc" = yes ; then
     3176       coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
    32423177     else
    32433178       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    34643399
    34653400# Provide some information about the compiler.
    3466 echo "$as_me:3466:" \
     3401echo "$as_me:3401:" \
    34673402     "checking for Fortran 77 compiler version" >&5
    34683403ac_compiler=`set X $ac_compile; echo $2`
     
    36333568    coin_add_fflags="-pipe"
    36343569    coin_dbg_fflags="-g -O0"
    3635     case $enable_doscompile in
    3636       mingw)
    3637         FFLAGS="-mno-cygwin"
    3638         cat >conftest.$ac_ext <<_ACEOF
    3639       program main
    3640       write(*,*) 'Hello world'
    3641       end
    3642 _ACEOF
    3643 rm -f conftest.$ac_objext conftest$ac_exeext
    3644 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3645   (eval $ac_link) 2>conftest.er1
    3646   ac_status=$?
    3647   grep -v '^ *+' conftest.er1 >conftest.err
    3648   rm -f conftest.er1
    3649   cat conftest.err >&5
    3650   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3651   (exit $ac_status); } &&
    3652          { ac_try='test -z "$ac_f77_werror_flag"
    3653                          || test ! -s conftest.err'
    3654   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3655   (eval $ac_try) 2>&5
    3656   ac_status=$?
    3657   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3658   (exit $ac_status); }; } &&
    3659          { ac_try='test -s conftest$ac_exeext'
    3660   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3661   (eval $ac_try) 2>&5
    3662   ac_status=$?
    3663   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3664   (exit $ac_status); }; }; then
    3665   coin_add_fflags="-mno-cygwin $coin_add_fflags"
    3666 else
    3667   echo "$as_me: failed program was:" >&5
    3668 sed 's/^/| /' conftest.$ac_ext >&5
    3669 
    3670 fi
    3671 rm -f conftest.err conftest.$ac_objext \
    3672       conftest$ac_exeext conftest.$ac_ext
    3673         FFLAGS=
    3674       ;;
    3675     esac
    36763570  else
    36773571    case $build in
     
    38513745fi
    38523746
    3853 # If FFLAGS contains -mno-cygwin, CPPFLAGS must have it.
    3854 case "$FFLAGS" in
    3855   *-mno-cygwin*)
    3856     if test x${CPPFLAGS+set} != xset ; then
    3857       CPPFLAGS="-mno-cygwin"
    3858     else
    3859       case "$CPPFLAGS" in
    3860         *-mno-cygwin*)
    3861           ;;
    3862         *)
    3863           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    3864           ;;
    3865       esac
    3866     fi ;;
    3867 esac
    3868 
    38693747# Try if FFLAGS works
    38703748if test "$F77" != "unavailable" ; then
     
    39653843case "$F77" in
    39663844  ifort* | */ifort* | IFORT* | */IFORT*)
    3967     case $build in
     3845
     3846 case $build in
    39683847  *-mingw*)
    39693848    if test "${LD+set}" = set; then :; else
     
    39723851    ;;
    39733852 esac
    3974  case $enable_doscompile in
    3975    msvc)
    3976      if test "x${LD+set}" = xset; then :; else
    3977        LD=link
    3978      fi
    3979      ;;
    3980  esac
     3853 if test $enable_msvc = yes ; then
     3854   if test "x${LD+set}" = xset; then :; else
     3855     LD=link
     3856   fi
     3857 fi
    39813858
    39823859    ;;
     
    40453922ac_save_FFLAGS=$FFLAGS
    40463923FFLAGS="$FFLAGS $ac_verb"
    4047 (eval echo $as_me:4047: \"$ac_link\") >&5
     3924(eval echo $as_me:3924: \"$ac_link\") >&5
    40483925ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40493926echo "$ac_f77_v_output" >&5
     
    41234000ac_save_FFLAGS=$FFLAGS
    41244001FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4125 (eval echo $as_me:4125: \"$ac_link\") >&5
     4002(eval echo $as_me:4002: \"$ac_link\") >&5
    41264003ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41274004echo "$ac_f77_v_output" >&5
     
    43084185        -lcrt*.o) ;;
    43094186        -lcygwin) ;;
     4187        -lgcc*)   ;;
    43104188               *) my_flibs="$my_flibs $flag" ;;
    43114189      esac
     
    50504928  # but it is likely to be either .. (if we are a usual coin project) or ../.. (if we are a unusual coin project like ThirdParty or Data)
    50514929  COIN_PKG_CONFIG_PATH_UNINSTALLED=
    5052   if test -e ../coin_subdirs.txt ; then
     4930  if test -f ../coin_subdirs.txt ; then
    50534931    for i in `cat ../coin_subdirs.txt` ; do
    50544932      if test -d ../$i ; then
     
    50614939  fi
    50624940
    5063   if test -e ../../coin_subdirs.txt ; then
     4941  if test -f ../../coin_subdirs.txt ; then
    50644942    for i in `cat ../../coin_subdirs.txt` ; do
    50654943      if test -d ../../$i ; then
     
    61246002            ;;
    61256003          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    6126             { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&5
    6127 echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice, but will build with -MD(d) instead of -MT(d)." >&2;}
     6004            { echo "$as_me:$LINENO: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&5
     6005echo "$as_me: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&6;}
    61286006            ;;
    61296007          *)
     
    68436721
    68446722LIBTOOL=
    6845 if test -r ../libtool; then
     6723if test -f ../libtool; then
    68466724  coin_config_dir=..
    68476725  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    68486726fi
    68496727if test "x$LIBTOOL" = x; then
    6850   if test -r ../../libtool; then
     6728  if test -f ../../libtool; then
    68516729    coin_config_dir=../..
    68526730    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     
    73947272*-*-irix6*)
    73957273  # Find out which ABI we are using.
    7396   echo '#line 7396 "configure"' > conftest.$ac_ext
     7274  echo '#line 7274 "configure"' > conftest.$ac_ext
    73977275  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    73987276  (eval $ac_compile) 2>&5
     
    99809858   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    99819859   -e 's:$: $lt_compiler_flag:'`
    9982    (eval echo "\"\$as_me:9982: $lt_compile\"" >&5)
     9860   (eval echo "\"\$as_me:9860: $lt_compile\"" >&5)
    99839861   (eval "$lt_compile" 2>conftest.err)
    99849862   ac_status=$?
    99859863   cat conftest.err >&5
    9986    echo "$as_me:9986: \$? = $ac_status" >&5
     9864   echo "$as_me:9864: \$? = $ac_status" >&5
    99879865   if (exit $ac_status) && test -s "$ac_outfile"; then
    99889866     # The compiler can only warn and ignore the option if not recognized
     
    1024810126   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1024910127   -e 's:$: $lt_compiler_flag:'`
    10250    (eval echo "\"\$as_me:10250: $lt_compile\"" >&5)
     10128   (eval echo "\"\$as_me:10128: $lt_compile\"" >&5)
    1025110129   (eval "$lt_compile" 2>conftest.err)
    1025210130   ac_status=$?
    1025310131   cat conftest.err >&5
    10254    echo "$as_me:10254: \$? = $ac_status" >&5
     10132   echo "$as_me:10132: \$? = $ac_status" >&5
    1025510133   if (exit $ac_status) && test -s "$ac_outfile"; then
    1025610134     # The compiler can only warn and ignore the option if not recognized
     
    1035210230   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1035310231   -e 's:$: $lt_compiler_flag:'`
    10354    (eval echo "\"\$as_me:10354: $lt_compile\"" >&5)
     10232   (eval echo "\"\$as_me:10232: $lt_compile\"" >&5)
    1035510233   (eval "$lt_compile" 2>out/conftest.err)
    1035610234   ac_status=$?
    1035710235   cat out/conftest.err >&5
    10358    echo "$as_me:10358: \$? = $ac_status" >&5
     10236   echo "$as_me:10236: \$? = $ac_status" >&5
    1035910237   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1036010238   then
     
    1276912647  lt_status=$lt_dlunknown
    1277012648  cat > conftest.$ac_ext <<EOF
    12771 #line 12771 "configure"
     12649#line 12649 "configure"
    1277212650#include "confdefs.h"
    1277312651
     
    1286912747  lt_status=$lt_dlunknown
    1287012748  cat > conftest.$ac_ext <<EOF
    12871 #line 12871 "configure"
     12749#line 12749 "configure"
    1287212750#include "confdefs.h"
    1287312751
     
    1522915107   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1523015108   -e 's:$: $lt_compiler_flag:'`
    15231    (eval echo "\"\$as_me:15231: $lt_compile\"" >&5)
     15109   (eval echo "\"\$as_me:15109: $lt_compile\"" >&5)
    1523215110   (eval "$lt_compile" 2>conftest.err)
    1523315111   ac_status=$?
    1523415112   cat conftest.err >&5
    15235    echo "$as_me:15235: \$? = $ac_status" >&5
     15113   echo "$as_me:15113: \$? = $ac_status" >&5
    1523615114   if (exit $ac_status) && test -s "$ac_outfile"; then
    1523715115     # The compiler can only warn and ignore the option if not recognized
     
    1533315211   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1533415212   -e 's:$: $lt_compiler_flag:'`
    15335    (eval echo "\"\$as_me:15335: $lt_compile\"" >&5)
     15213   (eval echo "\"\$as_me:15213: $lt_compile\"" >&5)
    1533615214   (eval "$lt_compile" 2>out/conftest.err)
    1533715215   ac_status=$?
    1533815216   cat out/conftest.err >&5
    15339    echo "$as_me:15339: \$? = $ac_status" >&5
     15217   echo "$as_me:15217: \$? = $ac_status" >&5
    1534015218   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1534115219   then
     
    1690316781   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1690416782   -e 's:$: $lt_compiler_flag:'`
    16905    (eval echo "\"\$as_me:16905: $lt_compile\"" >&5)
     16783   (eval echo "\"\$as_me:16783: $lt_compile\"" >&5)
    1690616784   (eval "$lt_compile" 2>conftest.err)
    1690716785   ac_status=$?
    1690816786   cat conftest.err >&5
    16909    echo "$as_me:16909: \$? = $ac_status" >&5
     16787   echo "$as_me:16787: \$? = $ac_status" >&5
    1691016788   if (exit $ac_status) && test -s "$ac_outfile"; then
    1691116789     # The compiler can only warn and ignore the option if not recognized
     
    1700716885   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1700816886   -e 's:$: $lt_compiler_flag:'`
    17009    (eval echo "\"\$as_me:17009: $lt_compile\"" >&5)
     16887   (eval echo "\"\$as_me:16887: $lt_compile\"" >&5)
    1701016888   (eval "$lt_compile" 2>out/conftest.err)
    1701116889   ac_status=$?
    1701216890   cat out/conftest.err >&5
    17013    echo "$as_me:17013: \$? = $ac_status" >&5
     16891   echo "$as_me:16891: \$? = $ac_status" >&5
    1701416892   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1701516893   then
     
    1921419092   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1921519093   -e 's:$: $lt_compiler_flag:'`
    19216    (eval echo "\"\$as_me:19216: $lt_compile\"" >&5)
     19094   (eval echo "\"\$as_me:19094: $lt_compile\"" >&5)
    1921719095   (eval "$lt_compile" 2>conftest.err)
    1921819096   ac_status=$?
    1921919097   cat conftest.err >&5
    19220    echo "$as_me:19220: \$? = $ac_status" >&5
     19098   echo "$as_me:19098: \$? = $ac_status" >&5
    1922119099   if (exit $ac_status) && test -s "$ac_outfile"; then
    1922219100     # The compiler can only warn and ignore the option if not recognized
     
    1948219360   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1948319361   -e 's:$: $lt_compiler_flag:'`
    19484    (eval echo "\"\$as_me:19484: $lt_compile\"" >&5)
     19362   (eval echo "\"\$as_me:19362: $lt_compile\"" >&5)
    1948519363   (eval "$lt_compile" 2>conftest.err)
    1948619364   ac_status=$?
    1948719365   cat conftest.err >&5
    19488    echo "$as_me:19488: \$? = $ac_status" >&5
     19366   echo "$as_me:19366: \$? = $ac_status" >&5
    1948919367   if (exit $ac_status) && test -s "$ac_outfile"; then
    1949019368     # The compiler can only warn and ignore the option if not recognized
     
    1958619464   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1958719465   -e 's:$: $lt_compiler_flag:'`
    19588    (eval echo "\"\$as_me:19588: $lt_compile\"" >&5)
     19466   (eval echo "\"\$as_me:19466: $lt_compile\"" >&5)
    1958919467   (eval "$lt_compile" 2>out/conftest.err)
    1959019468   ac_status=$?
    1959119469   cat out/conftest.err >&5
    19592    echo "$as_me:19592: \$? = $ac_status" >&5
     19470   echo "$as_me:19470: \$? = $ac_status" >&5
    1959319471   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1959419472   then
     
    2230122179    # Here we need to check if -m32 is specified.  If so, we need to correct
    2230222180    # sys_lib_search_path_spec
     22181    *-cygwin* | *-mingw*)
     22182       case "$CXX" in
     22183    clang* )
     22184      # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
     22185      { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
     22186echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
     22187      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     22188          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     22189          -e 's|libext="lib"|libext="a"|' \
     22190      libtool > conftest.bla
     22191      ;;
     22192    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     22193      { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
     22194echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
     22195      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     22196          -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     22197          -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     22198          -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     22199          -e 's%lib /OUT:%lib -OUT:%' \
     22200          -e "s%cygpath -w%$CYGPATH_W%" \
     22201          -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
     22202          -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
     22203          -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
     22204          -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     22205          -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
     22206      libtool > conftest.bla
     22207      ;;
     22208    *)
     22209      { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
     22210echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
     22211      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     22212          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     22213          -e 's|libext="lib"|libext="a"|' \
     22214      libtool > conftest.bla
     22215      ;;
     22216  esac
     22217  mv conftest.bla libtool
     22218  chmod 755 libtool
     22219
     22220      ;;
    2230322221    *x86_64-*)
    2230422222      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     
    2234022258      ;;
    2234122259    # Cygwin. Ah, cygwin. Too big and ugly to inline; see the macro.
    22342     *-cygwin* | *-mingw*)
    22343        case "$CXX" in
    22344     clang* )
    22345       # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
    22346       { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
    22347 echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
    22348       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    22349           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    22350           -e 's|libext="lib"|libext="a"|' \
    22351       libtool > conftest.bla
    22352       ;;
    22353     cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    22354       { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
    22355 echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
    22356       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    22357           -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    22358           -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    22359           -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    22360           -e 's%lib /OUT:%lib -OUT:%' \
    22361           -e "s%cygpath -w%$CYGPATH_W%" \
    22362           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
    22363           -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
    22364           -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    22365           -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
    22366           -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
    22367       libtool > conftest.bla
    22368       ;;
    22369     *)
    22370       { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
    22371 echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
    22372       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    22373           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    22374           -e 's|libext="lib"|libext="a"|' \
    22375       libtool > conftest.bla
    22376       ;;
    22377   esac
    22378   mv conftest.bla libtool
    22379   chmod 755 libtool
    22380 
    22381       ;;
    2238222260    *-darwin*)
    2238322261      { echo "$as_me:$LINENO: Applying patches to libtool for Darwin" >&5
     
    2248722365# AC_MSG_NOTICE([End of INIT_AUTO_TOOLS.])
    2248822366
     22367# Check whether --enable-dependency-linking or --disable-dependency-linking was given.
     22368if test "${enable_dependency_linking+set}" = set; then
     22369  enableval="$enable_dependency_linking"
     22370  dependency_linking="$enableval"
     22371else
     22372  dependency_linking=no
     22373fi;
     22374
    2248922375# ToDo
    2249022376# For now, don't use the -no-undefined flag, since the Makefiles are
    2249122377# not yet set up that way.  But we need to fix this, when we want
    2249222378# to comile DLLs under Windows.
    22493 LT_LDFLAGS=
     22379if test "$dependency_linking" = yes ;
     22380then
     22381  LT_LDFLAGS="-no-undefined"
     22382else
     22383  LT_LDFLAGS=
     22384fi
     22385
     22386
     22387
     22388if test "$dependency_linking" = yes; then
     22389  DEPENDENCY_LINKING_TRUE=
     22390  DEPENDENCY_LINKING_FALSE='#'
     22391else
     22392  DEPENDENCY_LINKING_TRUE='#'
     22393  DEPENDENCY_LINKING_FALSE=
     22394fi
     22395
    2249422396
    2249522397# Check if we want to set the library version
     
    2252022422echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2252122423coin_link_input_cmd="$LN_S"
    22522 if test "$enable_doscompile" = mingw; then
    22523   coin_link_input_cmd=cp
    22524 fi
    2252522424case "$CC" in
    2252622425  clang* ) ;;
     
    2278122680Usually this means the macro was only invoked conditionally." >&5
    2278222681echo "$as_me: error: conditional \"am__fastdepCXX\" was never defined.
     22682Usually this means the macro was only invoked conditionally." >&2;}
     22683   { (exit 1); exit 1; }; }
     22684fi
     22685if test -z "${DEPENDENCY_LINKING_TRUE}" && test -z "${DEPENDENCY_LINKING_FALSE}"; then
     22686  { { echo "$as_me:$LINENO: error: conditional \"DEPENDENCY_LINKING\" was never defined.
     22687Usually this means the macro was only invoked conditionally." >&5
     22688echo "$as_me: error: conditional \"DEPENDENCY_LINKING\" was never defined.
    2278322689Usually this means the macro was only invoked conditionally." >&2;}
    2278422690   { (exit 1); exit 1; }; }
     
    2341823324s,@ac_cxx_preproc_warn_flag@,$ac_cxx_preproc_warn_flag,;t t
    2341923325s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
     23326s,@DEPENDENCY_LINKING_TRUE@,$DEPENDENCY_LINKING_TRUE,;t t
     23327s,@DEPENDENCY_LINKING_FALSE@,$DEPENDENCY_LINKING_FALSE,;t t
    2342023328s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    2342123329s,@LIBEXT@,$LIBEXT,;t t
Note: See TracChangeset for help on using the changeset viewer.